Bug 640455 - Review Request: python-pyro - Pyro is short for PYthon Remote Objects.
Summary: Review Request: python-pyro - Pyro is short for PYthon Remote Objects.
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-05 20:51 UTC by David Hannequin
Modified: 2012-09-25 21:22 UTC (History)
5 users (show)

Fixed In Version: python-pyro-4.3-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-05 18:26:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)

Description David Hannequin 2010-10-05 20:51:22 UTC
Hi,

Spec URL: http://hvad.fedorapeople.org/fedora/python-pyro/python-pyro.spec
SRPM URL: http://hvad.fedorapeople.org/fedora/python-pyro/python-pyro-4.0-1.fc13.src.rpm
Description: Pyro stands for PYthon Remote Objects. It is an advanced and powerful Distributed Object Technology system written entirely in Python, that is designed to be fast and very easy to use.

Best regard

Comment 1 David Robinson 2010-10-11 11:33:59 UTC
Hi David,

Just doing an informal review to help my case of being sponsored :-)

Some things need work:

* rpmlint must be run on every package. The output should be posted in the review.[1]

[zxvdr@laptop SPECS]$ rpmlint ../SRPMS/python-pyro-4.0-1.fc13.src.rpm 
python-pyro.src: W: invalid-url Source0: http://www.xs4all.nl/~irmen/pyro3/download/Pyro-4.0.tar.gz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[zxvdr@laptop SPECS]$ rpmlint ../RPMS/noarch/python-pyro-4.0-1.fc13.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

See note below re incorrect URL for Source0...

* The package must meet the Packaging Guidelines .

%clean is not required for F-13 and above.
https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

* The spec file for the package MUST be legible. [6]

A little nit-pick, but there's a typo in the changelog; "Fisrt" should be "First" :-)

* The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

The URL specified is incorrect. It should be (note pyro4, not pyro3):
http://www.xs4all.nl/~irmen/pyro4/download/Pyro-%{version}.tar.gz


These items appear OK to me:

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. [3]
NA: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK: The spec file must be written in American English. [5]
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
NA: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
NA: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
NA: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
OK: Packages must NOT bundle copies of system libraries.[11]
NA: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
OK: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
OK: Each package must consistently use macros. [16]
OK: The package must contain code, or permissable content. [17]
OK: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
NA: Header files must be in a -devel package. [19]
NA: Static libraries must be in a -static package. [20]
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
NA: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [21]
NA: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
NA: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
OK: All filenames in rpm packages must be valid UTF-8. [24]

Comment 2 Martin Gieseking 2010-10-11 12:26:12 UTC
(In reply to comment #1)
> %clean is not required for F-13 and above.
> https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

Right, but it's still required for EPEL <= 5. The same is true for the BuildRoot field and the initial cleaning of the buildroot in %install (both are optional in Fedora but not in EPEL). 
So it doesn't hurt to add the additional lines but simplifies maintaining a package for Fedora and EPEL.


> NA: If (and only if) the source package includes the text of the license(s) in
> its own file, then that file, containing the text of the license(s) for the
> package must be included in %doc.[4]

Nope. :) 
The tarball contains file LICENSE with the MIT license text. This file is missing in the %doc list.


Since this is a Python package, a couple of further requirements apply:
http://fedoraproject.org/wiki/Packaging:Python

- The initial macro definition(s) should be wrapped as described in 
  http://fedoraproject.org/wiki/Packaging:Python#Macros

- remove the "packaging comments" like "Remove CFLAGS=" and adapt the SPEC
  accordingly

- I suggest to replace the multiple sed statements with
  sed -i 's/\r//' README.txt 
  find examples -type f -exec sed -i 's/\r//' {} \;

- please be a bit more specific in %files:
  %{python_sitelib}/Pyro-*.egg-info
  %{python_sitelib}/Pyro/

Comment 3 David Hannequin 2010-10-11 20:19:08 UTC
Hi,

New spec file and srpm with your remark :

Spec URL: http://hvad.fedorapeople.org/fedora/python-pyro/python-pyro.spec
SRPM URL:
http://hvad.fedorapeople.org/fedora/python-pyro/python-pyro-4.0-2.fc13.noarch.rpm

Best regard

Comment 4 Martin Gieseking 2010-10-12 06:45:09 UTC
Hi David,

if you plan to maintain this package for Fedora >= 13 only, please also drop the BuildRoot field and "rm -rf $RPM_BUILD_ROOT" in %install.

Comment 5 David Hannequin 2010-10-13 11:32:34 UTC
Hi,

New spec file and srpm :

Spec URL: http://hvad.fedorapeople.org/fedora/python-pyro/python-pyro.spec
SRPM URL:
http://hvad.fedorapeople.org/fedora/python-pyro/python-pyro-4.0-3.fc13.src.rpm

Best regard

Comment 6 Fabian Affolter 2011-01-11 20:14:19 UTC
The latest release of Pyro4 is 4.2.

Comment 7 David Hannequin 2011-01-12 01:26:15 UTC
my release is old and pyro has changed since release. I need to package a version of pyro in 3 or 4 in order to offer Shinken. Shinken is a monitoring tool developed in Python. If the version of Pyro is not recent enough I can suggest a few more recent in time.
See you soon ;-).

Comment 8 David Hannequin 2011-01-16 11:51:20 UTC
Hi,

New spec file and srpm :

Spec URL: http://hvad.fedorapeople.org/fedora/python-pyro/python-pyro.spec
SRPM URL:
http://hvad.fedorapeople.org/fedora/python-pyro/python-pyro-4.2-1.fc14.src.rpm 
Best regard

Comment 9 Jochen Schmitt 2011-01-16 20:26:18 UTC
Simple question: what is the state of python 3 support on this package?

Comment 10 David Hannequin 2011-01-17 20:05:53 UTC
According to the author, pyro 4.2 supports version 3 python. For my part, I use version 2.x python. My goal is to make a release of a monitoring tool Shinken.

Comment 11 David Hannequin 2011-04-09 16:05:26 UTC
Hi,

New spec file and srpm :

Spec URL: http://hvad.fedorapeople.org/fedora/python-pyro/python-pyro.spec

SRPM URL:
http://hvad.fedorapeople.org/fedora/python-pyro/python-pyro-4.3-1.fc14.src.rpm

Best regard

Comment 12 Haïkel Guémar 2011-04-11 22:50:53 UTC
As promised, i finished reviewing your package today
python-pyro (python package)

MUST: rpmlint must be run on src.rpm and rpm: OK
$ rpmlint -iv python-pyro-4.3-1.fc14.noarch.rpm
python-pyro.noarch: I: checking
python-pyro.noarch: I: checking-url http://www.xs4all.nl/~irmen/pyro4/index.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -iv python-pyro-4.3-1.fc14.src.rpm 
python-pyro.src: I: checking
python-pyro.src: I: checking-url http://www.xs4all.nl/~irmen/pyro4/index.html (timeout 10 seconds)
python-pyro.src: I: checking-url http://www.xs4all.nl/~irmen/pyro4/download/Pyro4-4.3.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Note: the summary - PYthon Remote Objects - is acceptable since it represents the name of the package

MUST: package named accordingly to package naming guidelines: OK

MUST: spec file name match %{name}: OK

MUST: licensed according a Fedora compliant license: OK (MIT - license file included)

MUST: License field in spec match actual license: OK

MUST: spec in legible american english: OK

MUST: sources provided match upstream's OK
provided sources sha1sum: 8d654e0fa662b9bdab325c836dbd0af349370f93
upstream sources sha1sum: 8d654e0fa662b9bdab325c836dbd0af349370f93

MUST: package sucessfully compiles on at least one primary architecture (all of them: x86 and x86_64 under mock for fedora-devel)

MUST: all build dependencies are listed in BR: OK

MUST: package does not list a file more than once in %files section: OK

MUST: permissions are properly set: OK

MUST: package consistenly uses macros: OK

MUST: package contains permissable content: OK

MUST: all filenames are valid UTF-8: OK

SHOULD: the module provided works (tested with python 2.7 and a self-hacked version on python 3.2): OK

Though it is not mandatory, adding python3 support is strongly recommended especially when it's supported by upstream which is the case for python-pyro >= 4.3

Since, it's trivial to add python3 support in python-pyro and everything is OK, my blessing will be given as soon as it's added (Think of it as a good deed to push forward python3).

===> Here's a modified version of python-pyro.spec with a working python3 support, feel free to use it as a basis.
http://hguemar.fedorapeople.org/reviewer/python-pyro/python-pyro.spec

Comment 13 David Hannequin 2011-04-13 18:25:28 UTC
Hi,

New spec file and srpm :

Spec URL: http://hvad.fedorapeople.org/fedora/python-pyro/python-pyro.spec

SRPM URL:
http://hvad.fedorapeople.org/fedora/python-pyro/python-pyro-4.3-2.fc14.src.rpm

Best regard

Comment 14 Haïkel Guémar 2011-04-14 08:27:45 UTC
I re-checked the newly imported packages, all above points are still ok.
koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2998993
rpmlint output is ok, make sure to use rpmlint 1.1 (RHBZ #637956: rpmlint 1.0 output false-positive errors on python3 packages).

Hereby, i grant my blessing to import python-pyro in fedora packages collection.

Comment 15 Fedora Update System 2011-04-16 17:38:03 UTC
perl-Test-Command-0.08-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Test-Command-0.08-1.fc14

Comment 16 David Hannequin 2011-04-17 11:02:53 UTC
Hi,

I made a mistake with perl-Test-command package.

Comment 17 Jason Tibbitts 2011-04-18 17:59:27 UTC
There is no SCM request to process here.  I do not understand what you are requesting from the SCM admins.

Please either supply an SCM request according to https://fedoraproject.org/wiki/Package_SCM_admin_requests or describe what you need from the SCM admins, and re-raise the fedora-cvs flag.

Comment 18 David Hannequin 2011-04-18 18:06:04 UTC
New Package SCM Request
=======================
Package Name: python-pyro
Short Description: Pyro stands for PYthon Remote Objects.
Owners: hvad
Branches: f14 f15 el6
InitialCC:

Comment 19 David Hannequin 2011-04-18 18:39:24 UTC
sorry, I was too hasty.

Comment 20 David Hannequin 2011-04-20 09:58:01 UTC
New Package SCM Request
=======================
Package Name: python-pyro
Short Description: Pyro stands for PYthon Remote Objects.
Owners: hvad
Branches: f14 f15 
InitialCC:

Comment 21 David Hannequin 2011-04-20 09:58:39 UTC
Sorry for my mistake.

Comment 22 David Hannequin 2011-04-20 11:51:00 UTC
Sorry for my mistake.

Comment 23 Jason Tibbitts 2011-04-21 03:34:00 UTC
Git done (by process-git-requests).

Comment 24 Fedora Update System 2011-04-27 18:03:44 UTC
python-pyro-4.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-pyro-4.3-2.fc14

Comment 25 Fedora Update System 2011-04-27 18:15:37 UTC
python-pyro-4.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-pyro-4.3-2.fc15

Comment 26 Fedora Update System 2011-04-28 01:57:46 UTC
python-pyro-4.3-2.fc14 has been pushed to the Fedora 14 testing repository.

Comment 27 Fedora Update System 2011-05-05 18:26:11 UTC
python-pyro-4.3-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 28 Fedora Update System 2011-05-06 02:49:51 UTC
python-pyro-4.3-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 29 David Hannequin 2012-09-23 17:04:31 UTC
Package Change Request
======================
Package Name: python-pyro
New Branches: el6
Owners: hvad

Comment 30 Gwyn Ciesla 2012-09-24 18:54:34 UTC
Git done (by process-git-requests).

Comment 31 Fedora Update System 2012-09-25 21:22:09 UTC
python-pyro-4.14-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pyro-4.14-2.el6


Note You need to log in before you can comment on or make changes to this bug.